/* config.h.  Generated automatically by configure.  */

#ifndef __CONFIG_H
#define __CONFIG_H

/* File   : config.h                                                        */
/* Purpose: System defined configuration options.  This file is machine     */
/*          generated from config.h.in by the configure program.  You       */
/*          should only change config.h and not config.h.in.                */

/* NOTE: To undefine an option, remove the #define statement.               */


/****** Configuration Files *************************************************/
/* Name of the default user configuration file.  If this file exists in a   */
/* users' home directory, then the definitions contained in it will be      */
/* loaded for the current menu session.  If the appropriate SECURITY (see   */
/* below) setting is enabled, the definitions in this file may not over-    */
/* write those found in the system configuration file (see SYSCONFIG).      */
/* If this is not defined, no user configuration file will be looked for.   */
#define USERCONFIG ".xenmenurc"

/* Name of the default user configuration file.  The contents of this       */
/* file may be superceeded by a USERCONF file in a user's home directory.   */
/* If this is undefined, no system configuration file will be looked for.   */
#define SYSCONFIG "/etc/xenmenurc"

/* Name of the secure user configuration file.  If this file exists, its    */
/* contents can NOT be superceeded by a USERCONF file in a user's home      */
/* directory OR a SYSCONFIG file.  If this is undefined, no secure system   */
/* configuration file will be looked for.                                   */
#define SECURECONFIG "/etc/xenmenurc.secure"


/****** Security ************************************************************/
/* The SECURE flag can take a value from 0 to 7 corresponding to the        */
/* following values:                                                        */
/*                                                                          */
/* 0 = No security checks are made                                          */
/* 1 = Only programs in SECURERUN can be called from the menu               */
/* 2 = Only menu files in MENUDIR can be loaded (MENUDIR defined above)     */
/* 4 = Only files in VIEWDIR can be viewed                                  */
/*                                                                          */
/* You add the above option values to choose your level of security.  For   */
/* example, a SECURE setting of 6 (4 + 2) means that menus and files can    */
/* only be loaded and viewed from their respective SECURE directories.      */
/*                                                                          */
/* Please see the Securing xenmenu section of the README for more info.     */
#define SECURE 0


/****** Paths ***************************************************************/
/* Path to where the default menus are located.  Just because you define    */
/* this does not mean you can not run menus in other directories; it is     */
/* just the first directory that is searched for the passed menu if the     */
/* menu name does not begin with a / character.  If SECURITY is set (see    */
/* above) so only menus under a certain directory may be loaded, this       */
/* directory is used as the secure menu directory.                          */
/*                                                                          */
/* If this is not defined, then menu names must contain a full path, (or    */
/* reside in the current directory), and SECURE menu loading will be        */
/* disabled.                                                                */
#define MENUDIR "/usr/local/xenmenu-0.8b/menus"

/* Files that can be run by the menu live here ($PATH will NOT be checked). */
/* This value is a colon seperated list of valid directories to use, (i.e.  */
/* to allow programs in both /bin and /usr/bin to be executed, set          */
/* SECURERUN to "/bin:/usr/bin").  This is only used when the appropriate  */
/* SECURITY setting is defined.                                             */
#define SECURERUN "/bin:/usr/bin:/usr/local/bin"

/* Files that can be viewed by the menu live here.  This is only used when  */
/* the appropriate SECURITY setting is defined.                             */
#define VIEWDIR "/usr/local/xenmenu-0.8b/text"


/****** Default strings and file names **************************************/
/* Default menu prompt which will be displayed if no prompt is defined in   */
/* the menu.                                                                */
#define DEFAULTPROMPT "Enter your Choice: "  /* */

/* Default header value for menus.                                          */
#define MENUHEAD "XenMenu 0.8b"  /* */

/* Default value and name seperator for menu options.                       */
#define DEF_OPTTAIL "."

/* Default menu to load (including path if not in MENUDIR).                 */
#define MAINMENU "mainmenu"  /* */


/****** Commands Used *******************************************************/
/* Please use the FULL path when defining these options.  For example, you  */
/* should put /usr/bin/clear instead of just clear.                         */
/*                                                                          */
/* Name of the default command used to clear the screen */
#define CLEAR "/usr/bin/clear"

/* Name of the default pager program to use */
#define PAGER "/usr/local/bin/less -s"


/****** Buffer sizes, etc.  Probably don't need to change these *************/
/* The size of the input buffer.  Usually, this can be left alone, but it   */
/* can be tweaked for your I/O.  This is not a maximum value for the input; */
/* it just defines how large a chunk is requested for reading.  Also, input */
/* buffers are allocated in chunks of INBUF size.  To save (a small amount  */
/* of) memory, this value can be lowered.  If input is continuously larger  */
/* than INBUF, then time will be spent reallocating memory to hold all the  */
/* input.  If INBUF is set below 2, a default value will be used.           */
#define INBUF 512  /* */

/* The maximum length of user input allowed.                                */
#define MAXINPUT 128  /* */


/********** You should not have to change anything below here ***************/


/* Define if you have setenv() */
/* #undef HAVE_SETENV */

/* Define if you have unsetenv() */
/* #undef HAVE_UNSETENV */

/* Define if you have cfmakeraw() */
/* #undef HAVE_CFMAKERAW */

#endif  /* __CONFIG_H */
